The Open Group Base Specifications Issue 6
IEEE Std 1003.1, 2004 Edition
Copyright © 2001-2004 The IEEE and The Open Group, All Rights reserved.

#### NAME

> if_indextoname - map a network interface index to its corresponding name

#### SYNOPSIS

> ``#include <net/if.h>
> char *if_indextoname(unsigned` ifindex`, char *`ifname`);
> ``

#### DESCRIPTION

> The if_indextoname() function shall map an interface index to its corresponding name.

> When this function is called, ifname shall point to a buffer of at least {IF_NAMESIZE} bytes. The function shall place in this buffer the name of the interface with index ifindex.

#### RETURN VALUE

> If ifindex is an interface index, then the function shall return the value supplied in ifname, which points to a buffer now containing the interface name. Otherwise, the function shall return a NULL pointer and set errno to indicate the error.

#### ERRORS

> The if_indextoname() function shall fail if:

> [ENXIO]
>   The interface does not exist.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> None.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> getsockopt(), if_freenameindex(), if_nameindex(), if_nametoindex(), setsockopt(), the Base Definitions volume of IEEE Std 1003.1-2001, <net/if.h>

#### CHANGE HISTORY

> First released in Issue 6. Derived from the XNS, Issue 5.2 specification.

> IEEE Std 1003.1-2001/Cor 1-2002, item XSH/TC1/D6/28 is applied, changing {IFNAMSIZ} to {IF_NAMESIZ} in the DESCRIPTION.

End of informative text.

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
[ Main Index | XBD | XCU | XSH | XRAT ]